use std::{
	error::Error,
	path::PathBuf,
};

use structopt::StructOpt;

#[derive (Debug, StructOpt)]
struct Opt {
	#[structopt (long)]
	file_server_root: Option <PathBuf>,
}

#[tokio::main]
async fn main () -> Result <(), Box <dyn Error>> {
	tracing_subscriber::fmt::init ();
	let path = PathBuf::from ("./config/ptth_server.toml");
	let config_file = ptth::load_toml::load (&path);
	
	ptth::server::run_server (
		config_file, 
		ptth::graceful_shutdown::init (),
		Some (path)
	).await
}
